1. Users
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Users

Update User Details

PUT
/users
Updates information for an existing user account.

Query Parameters#

NameTypeRequiredDescription
userIdstringYesUnique identifier for the user

Request Body#

FieldTypeRequiredDescription
firstNamestringNoUser's first name
companystringNoName of the company the user is associated with
lastNamestringNoUser's last name
countrystringNoUser's country of residence
citystringNoUser's city of residence
addressLineOnestringNoPrimary address line (street address)
addressLineTwostringNoSecondary address line (e.g., building number)
addressLineThreestringNoAdditional address line (e.g., apartment number)
languagePreferencestringNoUser's preferred language (e.g., en)
postalCodestringNoPostal code for the user's address
statestringNoState or province where the user resides
phoneCcstringNoCountry code for the user's phone number
phonestringNoUser's phone number (excluding country code)
emailstringNoUser's email address

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/json

Example
{
    "addressLineThree": "Building 8",
    "languagePreference": "en",
    "company": "Innovatech Solutions",
    "firstName": "John",
    "lastName": "Doe",
    "country": "US",
    "city": "San Francisco",
    "addressLineOne": "456 Market Street",
    "addressLineTwo": "Floor 2",
    "postalCode": "94105",
    "state": "California",
    "phoneCc": "1",
    "phone": "4155556789",
    "email": "john.doe@example.com"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://customers.coldmailreseller.com/api/v1/integration/users?userId=4CZNXJNXEEMECTH5Q65AXCB8QE78' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "addressLineThree": "Building 8",
    "languagePreference": "en",
    "company": "Innovatech Solutions",
    "firstName": "John",
    "lastName": "Doe",
    "country": "US",
    "city": "San Francisco",
    "addressLineOne": "456 Market Street",
    "addressLineTwo": "Floor 2",
    "postalCode": "94105",
    "state": "California",
    "phoneCc": "1",
    "phone": "4155556789",
    "email": "john.doe@example.com"
}'

Responses

🟢200OK
application/json
Body

Examples
{
    "status": 200,
    "message": "User credentials updated",
    "data": null
}
🟠400Bad Request
🟠422Parameter Error
🟠409Email already exists
Modified at 2025-10-29 17:03:55
Previous
Create User
Next
Delete User
Built with